training <- function(stat, y="y", coef=FALSE) {
	library("mboost")
	
	ctrl <- boost_control(mstop=1000)

	predictor <- glmboost( y ~ ., data=stat, center=TRUE)
	aic <- AIC(predictor)
	predictor <- predictor[mstop(aic)]
	
	if(coef==TRUE){
		sd <- sqrt(apply(stat,2,var))
		sd <- sd[1:(length(sd)-1)]
		co_origin <- coef(predictor)

		co <- co_origin[-1]*sd # [-1] means to discard the intercept, co=coefficient
		print(co)
	}
	return(predictor)
}



